Subject: Re: [RFC] RTC subsystem

From: Simon Richter <[email-masked]>
Date: Wed, 21 Dec 2005 17:02:55 +0100

Hello,

Alessandro Zummo wrote:

>   the proposal actually had a fully-working patch attached :)

Ah, didn't see that, as I just skimmed over the web archive page you 
linked to, which has no link to the actual patch (or I'm too stupid to 
find it).

>  In my code, the first rtc that register is bound
>  to /proc/driver/rtc and /dev/rtc (if those interfaces
>  are compiled in, as they are all selectable).

It would be good to have a way to change which clock is the "primary" 
one from userspace later (userspace because this is clearly site policy).

>  You have full control of which functions you will provide
>  to the upper layer. Obivously if you try to set the
>  time on a read-only rtc, you will get an error.

Sure. I was thinking of the question which error that should be.

    Simon